package com.zd.system.mapper;

import java.util.List;
import com.zd.system.domain.SysClass;

/**
 * 班级字典Mapper接口
 *
 * @author zd
 * @date 2022-04-08
 */
public interface SysClassMapper
{
    /**
     * 查询班级字典
     *
     * @param id 班级字典主键
     * @return 班级字典
     */
    public SysClass selectSysClassById(Long id);

    /**
     * 查询班级字典列表
     *
     * @param sysClass 班级字典
     * @return 班级字典集合
     */
    public List<SysClass> selectSysClassList(SysClass sysClass);

    /**
     * 新增班级字典
     *
     * @param sysClass 班级字典
     * @return 结果
     */
    public int insertSysClass(SysClass sysClass);

    /**
     * 修改班级字典
     *
     * @param sysClass 班级字典
     * @return 结果
     */
    public int updateSysClass(SysClass sysClass);

    /**
     * 删除班级字典
     *
     * @param id 班级字典主键
     * @return 结果
     */
    public int deleteSysClassById(Long id);

    /**
     * 批量删除班级字典
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysClassByIds(Long[] ids);
}
